Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  class Global extends SymbolTable with CompilationUnits with Plugins with PhaseAssembly with Trees with Printers with DocComments with Positions with Reporting with Parsing
  Definition Classes
    nsc
- AbstractTypeRef
- AbstractTypeSymbol
- AliasTypeRef
- AliasTypeSymbol
- Alternative
- Alternative
- AlternativeApi
- AlternativeExtractor
- Annotatable
- Annotated
- Annotated
- AnnotatedApi
- AnnotatedExtractor
- AnnotatedType
- AnnotatedType
- AnnotatedTypeApi
- AnnotatedTypeExtractor
- AnnotationApi
- AnnotationChecker
- AnnotationExtractor
- AnnotationFilter
- AnnotationInfo
- AnnotationInfo
- AntiPolyType
- AppliedTypeTree
- AppliedTypeTree
- AppliedTypeTreeApi
- AppliedTypeTreeExtractor
- AppliedTypeVar
- Apply
- Apply
- ApplyApi
- ApplyDynamic
- ApplyExtractor
- ApplyImplicitView
- ApplyToImplicitArgs
- ApproximateDependentMap
- ArgsTypeRef
- ArrayAnnotArg
- ArrayAnnotArg
- ArrayArgumentApi
- ArrayArgumentExtractor
- ArrayValue
- AsSeenFromMap
- Assign
- Assign
- AssignApi
- AssignExtractor
- AssignOrNamedArg
- AssignOrNamedArg
- AssignOrNamedArgApi
- AssignOrNamedArgExtractor
- AtBoundIdentifierAttachment
- Attachable
- BackquotedIdentifierAttachment
- BaseTypeSeq
- Bind
- Bind
- BindApi
- BindExtractor
- Block
- Block
- BlockApi
- BlockExtractor
- BooleanFlag
- BooleanFlag
- BoundedWildcardType
- BoundedWildcardType
- BoundedWildcardTypeApi
- BoundedWildcardTypeExtractor
- CannotHaveAttrs
- CaseDef
- CaseDef
- CaseDefApi
- CaseDefExtractor
- ChangeOwnerTraverser
- ClassDef
- ClassDef
- ClassDefApi
- ClassDefExtractor
- ClassInfoType
- ClassInfoType
- ClassInfoTypeApi
- ClassInfoTypeExtractor
- ClassMirror
- ClassSymbol
- ClassSymbolApi
- ClassUnwrapper
- ClassfileAnnotArg
- CodePrinter
- CollectTreeTraverser
- CollectTypeCollector
- CommonNames
- CommonOwnerMap
- CompactTreePrinter
- CompatApi
- CompatToken
- CompilationUnit
- CompilationUnitContextApi
- CompleteAnnotationInfo
- CompoundType
- CompoundType
- CompoundTypeApi
- CompoundTypeTree
- CompoundTypeTree
- CompoundTypeTreeApi
- CompoundTypeTreeExtractor
- CompoundTypeTreeOriginalAttachment
- ConsoleWriter
- Constant
- Constant
- ConstantApi
- ConstantExtractor
- ConstantType
- ConstantType
- ConstantTypeApi
- ConstantTypeExtractor
- ContainsCollector
- CyclicReference
- DefDef
- DefDef
- DefDefApi
- DefDefExtractor
- DefTree
- DefTreeApi
- DefaultPosAssigner
- DefinitionsApi
- DefinitionsClass
- DelambdafyTarget
- DocComment
- DocDef
- EmptyScope
- EmptyTree
- ErasedValueType
- ErasedValueType
- ErroneousAnnotation
- ErrorScope
- ErrorType
- ExistentialExtrapolation
- ExistentialType
- ExistentialType
- ExistentialTypeApi
- ExistentialTypeExtractor
- ExistentialTypeTree
- ExistentialTypeTree
- ExistentialTypeTreeApi
- ExistentialTypeTreeExtractor
- ExpansionLimitExceeded
- Expr
- Expr
- FieldMirror
- FilterTreeTraverser
- FilterTypeCollector
- FindTreeTraverser
- FindTypeCollector
- FixedMirrorTreeCreator
- FixedMirrorTypeCreator
- Flag
- FlagAgnosticCompleter
- FlagAssigningCompleter
- FlagOps
- FlagValues
- ForEachTypeTraverser
- ForeachPartialTreeTraverser
- ForeachTreeTraverser
- FreeSymbol
- FreeTermSymbol
- FreeTermSymbolApi
- FreeTypeSymbol
- FreeTypeSymbolApi
- FreshNameExtractor
- Function
- Function
- FunctionApi
- FunctionExtractor
- GenPolyType
- GenericApply
- GenericApplyApi
- GlobalMirror
- GlobalPhase
- GlobalPlatform
- HKTypeVar
- Ident
- Ident
- IdentApi
- IdentExtractor
- If
- If
- IfApi
- IfExtractor
- ImplDef
- ImplDefApi
- Import
- Import
- ImportApi
- ImportExtractor
- ImportSelector
- ImportSelector
- ImportSelectorApi
- ImportSelectorExtractor
- ImportType
- ImportableAttachment
- Importer
- InfoTransformer
- InjectDerivedValue
- InlineAnnotatedAttachment
- InlineCallsiteAttachment
- InstanceMirror
- InstantiateDependentMap
- InternalApi
- InternalTreeCopierOps
- JavaArgumentApi
- JavaKeywords
- JavaMethodType
- KeepOnlyTypeConstraints
- Keywords
- Kind
- Kind
- KindErrors
- LabelDef
- LabelDef
- LabelDefApi
- LabelDefExtractor
- LazyAnnotationInfo
- LazyPolyType
- LazyTreeCopier
- LazyType
- Liftable
- Literal
- Literal
- LiteralAnnotArg
- LiteralAnnotArg
- LiteralApi
- LiteralArgumentApi
- LiteralArgumentExtractor
- LiteralExtractor
- Locator
- LookupAmbiguous
- LookupInaccessible
- LookupNotFound
- LookupSucceeded
- MacroCompatApi
- MacroInternalApi
- MalformedType
- MappedBaseTypeSeq
- Match
- Match
- MatchApi
- MatchExtractor
- MemberDef
- MemberDefApi
- MemberScopeApi
- MethodMirror
- MethodSymbol
- MethodSymbolApi
- MethodType
- MethodType
- MethodTypeApi
- MethodTypeExtractor
- Mirror
- MissingAliasControl
- MissingTypeControl
- Modifiers
- Modifiers
- ModifiersApi
- ModifiersExtractor
- ModuleClassSymbol
- ModuleDef
- ModuleDef
- ModuleDefApi
- ModuleDefExtractor
- ModuleMirror
- ModuleSymbol
- ModuleSymbolApi
- ModuleTypeRef
- Name
- NameApi
- NameLookup
- NameOps
- NameTree
- NameTreeApi
- NamedType
- NamesApi
- NestedAnnotArg
- NestedAnnotArg
- NestedArgumentApi
- NestedArgumentExtractor
- New
- New
- NewApi
- NewExtractor
- NoArgsTypeRef
- NoCommonType
- NoCompilationUnit
- NoInlineCallsiteAttachment
- NoPrefix
- NoSymbol
- NoType
- NonClassTypeRef
- NullaryMethodType
- NullaryMethodType
- NullaryMethodTypeApi
- NullaryMethodTypeExtractor
- OuterArgCanBeElided
- OverloadedType
- PackageClassInfoType
- PackageClassSymbol
- PackageDef
- PackageDef
- PackageDefApi
- PackageDefExtractor
- PackageObjectClassSymbol
- PackageTypeRef
- Parens
- PerRunParsing
- PerRunReporting
- PerRunReportingBase
- PlainAttachment
- PolyType
- PolyType
- PolyTypeApi
- PolyTypeExtractor
- PosAssigner
- PostfixSelect
- ProperTypeKind
- Quasiquote
- Range
- RawTreePrinter
- RecoverableCyclicReference
- RefTree
- RefTree
- RefTreeApi
- RefTreeExtractor
- ReferenceToBoxed
- ReferenceToBoxed
- ReferenceToBoxedApi
- ReferenceToBoxedExtractor
- RefinedType
- RefinedType
- RefinedType0
- RefinedTypeApi
- RefinedTypeExtractor
- RefinementClassSymbol
- RefinementTypeRef
- ReflectiveMirror
- ReificationSupportApi
- ReificationSupportImpl
- RepeatedType
- Return
- Return
- ReturnApi
- ReturnExtractor
- RewrappingTypeProxy
- RootSymbol
- Roots
- RootsBase
- Run
- RunContextApi
- RunParsing
- RunReporting
- RuntimeClassApi
- RuntimeMirror
- SAMFunction
- ScalaSigBytes
- Scope
- Scope
- ScopeApi
- ScopeEntry
- Select
- Select
- SelectApi
- SelectExtractor
- SelectFromArray
- SelectFromTypeTree
- SelectFromTypeTree
- SelectFromTypeTreeApi
- SelectFromTypeTreeExtractor
- SimpleTypeProxy
- SingleType
- SingleType
- SingleTypeApi
- SingleTypeExtractor
- SingletonType
- SingletonTypeApi
- SingletonTypeTree
- SingletonTypeTree
- SingletonTypeTreeApi
- SingletonTypeTreeExtractor
- StandardImporter
- StandardLiftableInstances
- StandardTypes
- StandardUnliftableInstances
- Star
- Star
- StarApi
- StarExtractor
- StaticallyAnnotatedType
- StrictTreeCopier
- StubClassSymbol
- StubSymbol
- StubTermSymbol
- SubType
- SubTypePair
- SubpatternsAttachment
- SubstMap
- SubstSymMap
- SubstThisMap
- SubstTypeMap
- SubstWildcardMap
- Super
- Super
- SuperApi
- SuperExtractor
- SuperType
- SuperType
- SuperTypeApi
- SuperTypeExtractor
- SymLoader
- SymTree
- SymTreeApi
- Symbol
- SymbolApi
- SymbolContextApiImpl
- SymbolNames
- SymbolOps
- SymbolTableInternal
- Template
- Template
- TemplateApi
- TemplateExtractor
- TemplateMirror
- TermName
- TermName
- TermNameApi
- TermNameExtractor
- TermNames
- TermNamesApi
- TermSymbol
- TermSymbolApi
- TermTree
- TermTreeApi
- This
- This
- ThisApi
- ThisExtractor
- ThisSubstituter
- ThisType
- ThisType
- ThisTypeApi
- ThisTypeExtractor
- Throw
- Throw
- ThrowApi
- ThrowExtractor
- ThrownException
- Transformer
- Traverser
- Tree
- TreeApi
- TreeContextApiImpl
- TreeCopier
- TreeCopierOps
- TreeGen
- TreePrinter
- TreeReplacer
- TreeStackTraverser
- TreeSubstituter
- TreeSymSubstTraverser
- TreeSymSubstituter
- TreeTypeSubstituter
- Try
- Try
- TryApi
- TryExtractor
- TypTree
- TypTreeApi
- Type
- TypeApi
- TypeApiImpl
- TypeApply
- TypeApply
- TypeApplyApi
- TypeApplyExtractor
- TypeBounds
- TypeBounds
- TypeBoundsApi
- TypeBoundsExtractor
- TypeBoundsTree
- TypeBoundsTree
- TypeBoundsTreeApi
- TypeBoundsTreeExtractor
- TypeCollector
- TypeConKind
- TypeConstraint
- TypeDef
- TypeDef
- TypeDefApi
- TypeDefExtractor
- TypeError
- TypeMap
- TypeMapTreeSubstituter
- TypeName
- TypeName
- TypeNameApi
- TypeNameExtractor
- TypeNames
- TypeNamesApi
- TypeParamVarargsAttachment
- TypeRef
- TypeRef
- TypeRefApi
- TypeRefExtractor
- TypeSkolem
- TypeSymbol
- TypeSymbolApi
- TypeTag
- TypeTag
- TypeTraverser
- TypeTraverserWithResult
- TypeTree
- TypeTree
- TypeTreeApi
- TypeTreeExtractor
- TypeTreeWithDeferredRefCheck
- TypeUnwrapper
- TypeVar
- TypeVar
- Typed
- Typed
- TypedApi
- TypedExtractor
- TypedLocator
- UnApply
- UnApply
- UnApplyApi
- UnApplyExtractor
- UnderConstructionTransformer
- UndoLog
- UniqueConstantType
- UniqueErasedValueType
- UniqueSingleType
- UniqueSuperType
- UniqueThisType
- UniqueType
- UniqueTypeBounds
- Unliftable
- UntouchableTypeVar
- UseCase
- UseInvokeSpecial
- ValDef
- ValDef
- ValDefApi
- ValDefExtractor
- ValOrDefDef
- ValOrDefDef
- ValOrDefDefApi
- ValidateException
- ValidatingPosAssigner
- ValueClassDefinitions
- VarianceValidator
- WeakTypeTag
- WeakTypeTag
- WildcardType
- abstractTypesToBounds
- adaptToNewRunMap
- cleanup
- constfold
- constructors
- definitions
- delambdafy
- dropIllegalStarTypes
- dropSingletonType
- erasure
- explicitOuter
- extensionMethods
- fields
- flatten
- gen
- genBCode
- icodes
- inferKind
- lambdaLift
- mixer
- nme
- noPrint
- noSelfType
- nodePrinters
- noopTransformer
- overridingPairs
- patmat
- pendingSuperCall
- perRunCaches
- pickler
- postErasure
- refChecks
- resetPos
- scalaPrimitives
- specializeTypes
- statistics
- superAccessors
- tailCalls
- terminal
- tpnme
- traceSymbols
- treeBrowsers
- treeChecker
- treeInfo
- typeDebug
- typeDeconstruct
- typer
- uncurry
- unwrapToClass
- unwrapToStableClass
- unwrapWrapperTypes
- wildcardExtrapolation

o

scala.tools.nsc.Global

# delambdafy 

###

#### object delambdafy extends Delambdafy

Source
  Global.scala

Linear Supertypes
Delambdafy, TypeAdaptingTransformer, TreeDSL, TypingTransformers, Transform, SubComponent, AnyRef, Any
Content Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. delambdafy
2. Delambdafy
3. TypeAdaptingTransformer
4. TreeDSL
5. TypingTransformers
6. Transform
7. SubComponent
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  abstract class StdPhase extends GlobalPhase

   A standard phase template

   A standard phase template

   Definition Classes
     SubComponent
2.  class DelambdafyTransformer extends TypingTransformer
   Definition Classes
     Delambdafy
3.  class FreeVarTraverser extends Global.Traverser
   Definition Classes
     Delambdafy
4.  final case class LambdaMetaFactoryCapable (target: Global.Symbol, arity: Int, functionalInterface: Global.Symbol, sam: Global.Symbol, isSerializable: Boolean, addScalaSerializableMarker: Boolean) extends Product with Serializable
   Definition Classes
     Delambdafy
5.  class SkipPhase extends StdPhase
   Definition Classes
     Delambdafy
6.  class ThisReferringMethodsTraverser extends Global.Traverser
   Definition Classes
     Delambdafy
7.  class Phase extends StdPhase

   The phase defined by this transform

   The phase defined by this transform

   Definition Classes
     Transform
8.  abstract class TypeAdapter extends AnyRef
   Definition Classes
     TypeAdaptingTransformer
9.  abstract class TypingTransformer extends Global.Transformer
   Definition Classes
     TypingTransformers

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def afterOwnPhase[T](op: ⇒ T): T
   Definition Classes
     SubComponent
   Annotations
     @inline()
5.  val analyzer: Global.analyzer
   Definition Classes
     Delambdafy
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  final def beforeOwnPhase[T](op: ⇒ T): T
   Definition Classes
     SubComponent
   Annotations
     @inline()
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
9.  def enabled: Boolean

   Is this component enabled? Default is true.

   Is this component enabled? Default is true.

   Definition Classes
     SubComponent
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
14.  val global: Global.this.type
    Definition Classes
      delambdafy → TreeDSL → TypingTransformers → SubComponent
15.  def hashCode(): Int

    SubComponent are added to a HashSet and two phases are the same if they have the same name

    SubComponent are added to a HashSet and two phases are the same if they have the same name

    Definition Classes
      SubComponent → AnyRef → Any
16.  val initial: Boolean

    True if this phase runs before all other phases.

    True if this phase runs before all other phases. Usually, `parser`.

    Definition Classes
      SubComponent
17.  val internal: Boolean

    True if this phase is not provided by a plug-in.

    True if this phase is not provided by a plug-in.

    Definition Classes
      SubComponent
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def newPhase(prev: nsc.Phase): StdPhase

    Create a new phase which applies transformer

    Create a new phase which applies transformer

    Definition Classes
      Delambdafy → Transform → SubComponent
21.  def newTransformer(unit: Global.CompilationUnit): Global.Transformer

    The transformer factory

    The transformer factory

    Attributes
      protected
    Definition Classes
      Delambdafy → Transform
22.  final def notify(): Unit
    Definition Classes
      AnyRef
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
24.  def ownPhase: nsc.Phase

    The phase corresponding to this subcomponent in the current compiler run

    The phase corresponding to this subcomponent in the current compiler run

    Definition Classes
      SubComponent
25.  val phaseName: String

    the following two members override abstract members in Transform

    the following two members override abstract members in Transform

    Definition Classes
      Delambdafy → SubComponent
26.  def phaseNewFlags: Long

    New flags defined by the phase which are not valid before

    New flags defined by the phase which are not valid before

    Definition Classes
      SubComponent
27.  def phaseNextFlags: Long

    New flags defined by the phase which are not valid until immediately after it

    New flags defined by the phase which are not valid until immediately after it

    Definition Classes
      SubComponent
28.  val requires: List[String]

    Names of phases required by this component.

    Names of phases required by this component. Default is `Nil`.

    Definition Classes
      SubComponent
29.  val runsAfter: collection.immutable.List[String]
    Definition Classes
      delambdafy → SubComponent
30.  val runsBefore: List[String]

    Names of phases that must run after this phase.

    Names of phases that must run after this phase. Default is `Nil`.

    Definition Classes
      SubComponent
31.  val runsRightAfter: None.type
    Definition Classes
      delambdafy → SubComponent
32.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
33.  val terminal: Boolean

    True if this phase runs after all other phases.

    True if this phase runs after all other phases. Usually, `terminal`.

    Definition Classes
      SubComponent
34.  def toString(): String
    Definition Classes
      AnyRef → Any
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  object CODE
    Definition Classes
      TreeDSL
39.  object FreeVarTraverser
    Definition Classes
      Delambdafy

### Inherited from Delambdafy

### Inherited from TypeAdaptingTransformer

### Inherited from TreeDSL

### Inherited from TypingTransformers

### Inherited from Transform

### Inherited from SubComponent

### Inherited from AnyRef

### Inherited from Any

### Ungrouped